### Method

# GUPnP ContextFilter add_entry

since: 1.4.0

#### Declaration [src]

    gboolean
    gupnp_context_filter_add_entry (
      GUPnPContextFilter* context_filter,
      const gchar* entry
    )

#### Description [src]

Add `entry` in the list of valid criteria used by `context_filter` to filter networks. if `entry` already exists, it won’t be added a second time.

Available since: 1.4.0

#### Parameters

`entry`

  Type: `const gchar*`

  A value used to filter network.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `entry` is added, `FALSE` otherwise.